Package Details: eclipse-texlipse 1.5.0-2

Git Clone URL: https://aur.archlinux.org/eclipse-texlipse.git (read-only)
Package Base: eclipse-texlipse
Description: LaTeX support plugin for Eclipse IDE
Upstream URL: http://texlipse.sourceforge.net/
Keywords: latex
Licenses: EPL
Conflicts: texlipse
Provides: texlipse
Submitter: dsboger
Maintainer: Raimar
Last Packager: Raimar
Votes: 51
Popularity: 0.001220
First Submitted: 2015-08-02 02:12
Last Updated: 2015-10-07 20:13

Latest Comments

dsboger commented on 2015-08-26 14:05

I'm disowning this package as I'm switching to the recommended way to install Eclipse (i.e. in my home directory with full write access to the installation directory; plugins/features installed by Eclipse's package manager). That is the only way supported by Eclipse, anyway.

dsboger commented on 2015-04-26 23:32

Should be OK now.

MadPhysicist commented on 2015-03-31 16:53

Getting this error:
==> ERROR: Missing package() function in /tmp/yaourt-tmp-joe/aur-texlipse/./PKGBUILD
==> ERROR: Makepkg was unable to build texlipse.

linuxSEAT commented on 2012-08-21 07:25

fixed the source url (reported by zyzhang)

Anonymous comment on 2012-07-16 19:03

# Maintainer: linuxSEAT <--put_my_name_here--@gmail.com>
# Contributor: Robson R S Peixoto <robsonpeixoto@gmail.com>
# Contributor: Piotr Beling <qwak@w8.pl>


pkgname=texlipse
pkgver=1.5.0
pkgrel=1
pkgdesc="A plugin that adds LaTeX support to the Eclipse IDE"
url="http://texlipse.sourceforge.net/"
depends=('eclipse>=3.3' 'texlive-core')
arch=('any')
source=("http://downloads.sourceforge.net/texlipse/texlipse_${pkgver}%20src.zip")
license=('EPL')

build() {
cd ${startdir}
local eclipsedir=${pkgdir}/usr/share/eclipse/dropins/eclipse
install -d $eclipsedir
cp -R plugins $eclipsedir
}

md5sums=('db3de591e25d0ee3fbd03ce7d119fd15')

Anonymous comment on 2012-07-16 18:55

# Maintainer: linuxSEAT <--put_my_name_here--@gmail.com>
# Contributor: Robson R S Peixoto <robsonpeixoto@gmail.com>
# Contributor: Piotr Beling <qwak@w8.pl>


pkgname=texlipse
pkgver=1.5.0
pkgrel=1
pkgdesc="A plugin that adds LaTeX support to the Eclipse IDE"
url="http://texlipse.sourceforge.net/"
depends=('eclipse>=3.3' 'texlive-core')
arch=('any')
source=("http://downloads.sourceforge.net/texlipse/texlipse_${pkgver}%20src.zip")
license=('EPL')

build() {
cd ${startdir}
local eclipsedir=${pkgdir}/usr/share/eclipse/dropins/eclipse
install -d $eclipsedir
cp -R plugins $eclipsedir
}

md5sums=('db3de591e25d0ee3fbd03ce7d119fd15')

Anonymous comment on 2012-02-15 07:51

I got an "http 400" error when yaourt was trying to download the source package.
And it's fixed by changing the source url in the PKGBUILD file from
http://downloads.sourceforge.net/texlipse/texlipse_${pkgver} src.zip
to
http://downloads.sourceforge.net/texlipse/texlipse_${pkgver}%20src.zip

qwak commented on 2010-04-19 10:36

At this moment I have no ArchLinux installation and I can't test new PKGBUILD version. So I orphan this package.
Probably all changes required to update in PKGBUILD you can see in robsonpeixoto comment (thanks!).

Anonymous comment on 2010-04-19 08:48

pkgver=1.4.0
md5sums=('b4a69f3899d1881c46ebba234fbb84c5')